% Simplex mesh I/O library
%
% This library implements several simplex mesh input and output functions.
%
% The available routines are as follows:
%
%      DRAW          draw a mesh of vertices and simplices (mode 0)
%      DRAW1         draw a mesh of vertices and simplices (mode 1)
%      DRAW2         draw a mesh of vertices and simplices (mode 2)
%      DRAWD         draw a function over a mesh as displacement
%      DRAWF         draw a function over a mesh of vertices and simplices
%      DRAWMCSF      draw an MCSF mesh
%      READ          read in a mesh from a standard "MCSF" mesh file
%      WRITE         write out a mesh to a standard "MCSF" mesh file
%      WRITEMCE      low-level routine to write an "MCEF" mesh file
%      WRITEMCS      low-level routine to write an "MCSF" mesh file
%      WRITEOFF      write out mesh to standard "OFF" file or socket
%      WRITEOFFS     write out solution to standard "OFF" file or socket
%
% Author:   Michael Holst
% rcsid="$Id: Contents.m,v 1.1.1.1 2007/04/27 08:28:07 hrg Exp $"
