% Domain number: MATLAB TORUS
%
% Dimension:     2
% Domain:        A torus
% Boundary:      No boundary
%
% Author:        Andrew Koines
% rcsid="$Id: torus2.m,v 1.1.1.1 2007/04/27 08:28:11 hrg Exp $"

mcsf_begin=1;

      dim=2;         % intrinsic manifold dimension
    dimii=3;         % imbedding manifold dimension
 vertices=32;        % number of vertices
simplices=64;        % number of simplices

c=sqrt(2)/2;         %factor=sin(pi/4)
r=9.900000e+00;     %radius of first circle
R=10.000000e+00;    %radius of second circle 
zero=0.000000e+00;

vert=[
%-------- ---- ----------------- ----------------- -----------------
% Vert-ID Chrt X-Coordinate      Y-Coordinate      Z-Coordinate
%-------- ---- ----------------- ----------------- -----------------
%zero
0         0    R-r               zero              zero
1         0    R                 zero              r
2         0    R+r               zero              zero
3         0    R                 zero              -r
%pi/4---- ---- ----------------- ----------------- -----------------
4         0    c*(R-r)           c*(R-r)           zero
5         0    c*R               c*R               r
6         0    c*(R+r)           c*(R+r)           zero
7         0    c*R               c*R               -r
%pi/2---- ---- ----------------- ----------------- -----------------
8         0    zero              R-r               zero
9         0    zero              R                 r
10        0    zero              R+r               zero
11        0    zero              R                 -r
%3/4pi--- ---- ----------------- ----------------- -----------------
12        0    -(c*(R-r))        c*(R-r)           zero
13        0    -c*R              c*R               r
14        0    -(c*(R+r))        c*(R+r)           zero
15        0    -c*R              c*R               -r
%pi------ ---- ----------------- ----------------- -----------------
16        0    -(R-r)            zero              zero
17        0    -R                zero              r
18        0    -(R+r)            zero              zero
19        0    -R                zero              -r
%5/4pi--- ---- ----------------- ----------------- -----------------
20        0    -(c*(R-r))        -(c*(R-r))        zero
21        0    -c*R              -c*R              r
22        0    -(c*(R+r))        -(c*(R+r))        zero
23        0    -c*R              -c*R              -r
%3/2pi--- ---- ----------------- ----------------- -----------------
24        0    zero              -(R-r)            zero
25        0    zero              -R                r
26        0    zero              -(R+r)            zero
27        0    zero              -R                -r
%7/4pi--- ---- ----------------- ----------------- -----------------
28        0    (c*(R-r))         -(c*(R-r))        zero
29        0    c*R               -c*R              r
30        0    c*(R+r)           -(c*(R+r))        zero
31        0    c*R               -c*R              -r
%-------- ---- -------------     -------------     -------------
];

simp=[
%-------- ---- ---- ------------------- ---------------------------------------
% Simp-ID Grp  Mat  Face-Types          Vertex-Numbers
%-------- ---- ---- ------------------- ---------------------------------------
0         0    0    0    0    0          5  4  0 
1         0    0    0    0    0          0  1  5 
2         0    0    0    0    0          6  5  1 
3         0    0    0    0    0          1  2  6 
4         0    0    0    0    0          7  6  2                                                  
5         0    0    0    0    0          2  3  7 
6         0    0    0    0    0          3  0  4 
7         0    0    0    0    0          4  7  3
%-------- ---- ---- ------------------- ---------------------------------------
8         0    0    0    0    0          9  8  4 
9         0    0    0    0    0          4  5  9 
10        0    0    0    0    0         10  9  5 
11        0    0    0    0    0          5  6 10 
12        0    0    0    0    0         11 10  6 
13        0    0    0    0    0          6  7 11 
14        0    0    0    0    0          7  4  8 
15        0    0    0    0    0          8 11  7
%-------- ---- ---- ------------------- ---------------------------------------
16        0    0    0    0    0         13 12  8 
17        0    0    0    0    0          8  9 13 
18        0    0    0    0    0         14 13  9
19        0    0    0    0    0          9 10 14 
20        0    0    0    0    0         15 14 10
21        0    0    0    0    0         10 11 15 
22        0    0    0    0    0         11  8 12 
23        0    0    0    0    0         12 15 11 
%-------- ---- ---- ------------------- ---------------------------------------
24        0    0    0    0    0         17 16 12 
25        0    0    0    0    0         12 13 17 
26        0    0    0    0    0         18 17 13 
27        0    0    0    0    0         13 14 18 
28        0    0    0    0    0         19 18 14 
29        0    0    0    0    0         14 15 19 
30        0    0    0    0    0         15 12 16 
31        0    0    0    0    0         16 19 15 
%-------- ---- ---- ------------------- ---------------------------------------
32        0    0    0    0    0         21 20 16 
33        0    0    0    0    0         16 17 21 
34        0    0    0    0    0         22 21 17 
35        0    0    0    0    0         17 18 22 
36        0    0    0    0    0         23 22 18 
37        0    0    0    0    0         18 19 23 
38        0    0    0    0    0         19 16 20 
39        0    0    0    0    0         20 23 19 
%-------- ---- ---- ------------------- ---------------------------------------
40        0    0    0    0    0         25 24 20 
41        0    0    0    0    0         20 21 25 
42        0    0    0    0    0         26 25 21 
43        0    0    0    0    0         21 22 26 
44        0    0    0    0    0         27 26 22 
45        0    0    0    0    0         22 23 27 
46        0    0    0    0    0         23 20 24 
47        0    0    0    0    0         24 27 23 
%-------- ---- ---- ------------------- ---------------------------------------
48        0    0    0    0    0         29 28 24 
49        0    0    0    0    0         24 25 29 
50        0    0    0    0    0         30 29 25 
51        0    0    0    0    0         25 26 30 
52        0    0    0    0    0         31 30 26 
53        0    0    0    0    0         26 27 31 
54        0    0    0    0    0         27 24 28 
55        0    0    0    0    0         28 31 27 
%-------- ---- ---- ------------------- ---------------------------------------
56        0    0    0    0    0          1  0 28 
57        0    0    0    0    0         28 29  1 
58        0    0    0    0    0          2  1 29 
59        0    0    0    0    0         29 30  2 
60        0    0    0    0    0          3  2 30 
61        0    0    0    0    0         30 31  3 
62        0    0    0    0    0         31 28  0 
63        0    0    0    0    0          0  3 31 
%-------- ---- ---- ------------------- ---------------------------------------
];

mcsf_end=1;

